## LassoIdWsf2DstTestItemBase LassoIdWsf2DstTestItemBase — <dst:TestItemBase> |

## Functions

LassoIdWsf2DstTestItemBase * | lasso_idwsf2_dst_test_item_base_new ()

## Types and Values

struct | LassoIdWsf2DstTestItemBase

## Description

Figure 189. Schema fragment for dst:TestItemBase

    <xs:complexType name="TestItemBaseType">
      <xs:attributeGroup ref="dst:selectQualif"/>
      <xs:attribute name="id" use="optional" type="xs:ID"/>
      <xs:attribute ref="lu:itemID" use="optional"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_dst_test_item_base_new ()

    LassoIdWsf2DstTestItemBase *
    lasso_idwsf2_dst_test_item_base_new (void);

Creates a new LassoIdWsf2DstTestItemBase object.

#### Returns

a newly created LassoIdWsf2DstTestItemBase object

## Types and Values

### struct LassoIdWsf2DstTestItemBase

    struct LassoIdWsf2DstTestItemBase {
    	LassoNode parent;

    	/* attributes */
    	char *id;
    	char *itemID;
    	char *objectType;
    	char *predefined;
    };